onEvent("recipes", event => {
  event.remove({ output: 'powah:capacitor_basic'})
  event.shaped('powah:capacitor_basic', [
    ' SC',
    'SIS',
    'CS '
  ], {
    S: 'mekanism:ingot_steel',
    C: 'powah:dielectric_paste',
    I: 'mekanism:alloy_infused'
  })
  
  event.remove({ output: 'powah:energizing_orb'})
  event.shaped('powah:energizing_orb', [
    'GGG',
    'GAG',
    'CDC'
  ], {
    A: 'powah:dielectric_casing',
    G: '#forge:glass',
    D: 'envirocore:erodium_boule',
    C: 'powah:dielectric_rod_horizontal'
  })
  

  reactor = (output, corner, edge, center) => {
  
    event.remove({ output: output})
    event.shaped(output, [
      'UCU',
      'CAC',
      'UCU'
    ], {
      U: corner,
      C: edge,
      A: center
    })
  }

  reactor('4x powah:reactor_basic', 'powah:uraninite', 'powah:capacitor_basic_large', 'powah:reactor_starter')
  reactor('4x powah:reactor_hardened', 'powah:uraninite', 'powah:capacitor_hardened', 'powah:reactor_basic')
  reactor('4x powah:reactor_blazing', 'powah:uraninite', 'powah:capacitor_blazing', 'powah:reactor_hardened')
  reactor('4x powah:reactor_niotic', 'powah:uraninite', 'powah:capacitor_niotic', 'powah:reactor_blazing')
  reactor('4x powah:reactor_spirited', 'powah:uraninite', 'powah:capacitor_spirited', 'powah:reactor_niotic')
  reactor('4x powah:reactor_nitro', 'powah:uraninite', 'powah:capacitor_nitro', 'powah:reactor_spirited')
})